jQuery(document).ready(function(){

	jQuery('select.sa_gbl_location').chosen({
		disable_search_threshold: 10
	});
	
	jQuery(document).on('click', '.add_row', function() {
		var gateway_id = jQuery('#gateway_list').val();
		var gateway_title = jQuery('#gateway_list option:selected').text();
		var avail_in = jQuery('#avail_in').val();
		var not_avail_in = jQuery('#not_avail_in').val();
		var avail_in_r = 'All';
		var not_avail_in_r = '-';
		var avail_in_l = [];
		var not_avail_in_l = [];


		if( gateway_id == 'select' || gateway_id == ''){
			alert('Please select gateway.');
			jQuery('#gateway_list').focus();
			return;
		} else if ( ( avail_in == null || avail_in == '' ) && ( not_avail_in == null || not_avail_in == '' ) ) {
			alert('Select atleast one country to add a gateway.');
			return;
		} else {

			if( avail_in != null ) {

				for( var i=0; i < avail_in.length; i++){
					avail_in_l[i] = jQuery("#avail_in option[value='"+avail_in[i]+"']").text();
				}

				avail_in_r = avail_in_l.toString().replace(/,/g, ', ');	

			} else {
				avail_in = '';
			}


			if( not_avail_in != null ) {

				for( var i=0; i < not_avail_in.length; i++){
					not_avail_in_l[i] = jQuery("#avail_in option[value='"+not_avail_in[i]+"']").text();
				}

				not_avail_in_r = not_avail_in_l.toString().replace(/,/g, ', ');

			} else {
				not_avail_in = '';
			}

			var tds = '<tr>';
			tds += '<td>' + gateway_title + '</td>';		
			tds += '<td>' + avail_in_r + '</td>';                    	
			tds += '<td>' + not_avail_in_r + '</td>';                    	
			tds += '<td class="edit_row" title="Edit Row"></td>' ;
			tds += '<td class="delete_row" title="Delete Row"></td>' ;
			tds += '<input type="hidden" class="gateway_id" name="sa_wc_gateways_by_location[' + gateway_id + '][title]" value="' + gateway_title + '">';
			tds += '<input type="hidden" class="avail_in" name="sa_wc_gateways_by_location[' + gateway_id + '][available_in]" value="' + avail_in + '">';
			tds += '<input type="hidden" class="not_avail_in" name="sa_wc_gateways_by_location[' + gateway_id + '][not_available_in]" value="' + not_avail_in + '">';
			tds += '</tr>';

			jQuery('.gateway_by_location tbody').append(tds);
			
		}
		
		// Reset values
		jQuery('#gateway_list option:first-child').attr('selected', 'selected');
		jQuery('#avail_in').val('').trigger('chosen:updated');
		jQuery('#not_avail_in').val('').trigger('chosen:updated');
	});

	
	// Edit
	jQuery('.edit_row').live('click' , function(event){
		gateway_id = jQuery(this).parent().find('input.gateway_id').val();
		avail_in = jQuery(this).parent().find('input.avail_in').val();
		not_avail_in = jQuery(this).parent().find('input.not_avail_in').val();

		if( avail_in != null){
			avail_in = avail_in.split(',');
		}
		
		if( not_avail_in != null ){
			not_avail_in = not_avail_in.split(',');
		}		
		
		jQuery("#gateway_list option:contains("+gateway_id+")").attr('selected', 'selected');
		jQuery('#avail_in').val( avail_in ).trigger('chosen:updated');
		jQuery('#not_avail_in').val( not_avail_in ).trigger('chosen:updated');	
		jQuery(this).parent('tr').remove();					
	});

	// Delete
	jQuery('.delete_row').live('click' , function(event){
		var row = jQuery(this).parent('tr');
		row.remove();						
	});

});