<?php
/**
 * Plugin Name: WooCommerce Gateways By Location
 * Plugin URI: https://codecanyon.net/item/woocommerce-gateways-by-location/9360470?ref=storeapps
 * Description: Limit available payment gateways by customer's billing or shipping country.
 * Version: 1.3.1
 * Author: اسکریپت
 * Author URI: http://www.اسکریپت.com
 * Developer: StoreApps
 * Developer URI: https://www.storeapps.org/
 * Requires at least: 3.3
 * Tested up to: 4.9.8
 * WC requires at least: 2.5.0
 * WC tested up to: 3.5.0
 * Text Domain: woocommerce-gateways-by-location
 * Domain Path: /languages/
 * License: GPLv3 or later
 * Copyright: (c) 2014-2018 StoreApps. All rights reserved.
 */

// Exit if directly accessed.
if ( ! defined ( 'ABSPATH' ) ) {
	exit;
}

$active_plugins = (array) get_option('active_plugins', array());

if (is_multisite()) {
	$active_plugins = array_merge($active_plugins, get_site_option('active_sitewide_plugins', array()));
}

if (!( in_array('woocommerce/woocommerce.php', $active_plugins) || array_key_exists('woocommerce/woocommerce.php', $active_plugins) )) {
	return;
}

function initialize_gateways_by_location() {

	if ( ! defined( 'SA_WC_GBL_PLUGIN_BASENAME' ) ) {
		define( 'SA_WC_GBL_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
	}

	if ( ! defined( 'SA_WC_GBL_PLUGIN_DIRNAME' ) ) {
		define( 'SA_WC_GBL_PLUGIN_DIRNAME', dirname( SA_WC_GBL_PLUGIN_BASENAME ) );
	}

	require_once 'includes/wc-compat/version-2-5.php';
	require_once 'includes/wc-compat/version-2-6.php';
	require_once 'includes/wc-compat/version-3-0.php';
	require_once 'includes/class-gateways-by-location.php' ;

	new SA_WC_Gateways_By_Location( __FILE__ );

}

add_action( 'plugins_loaded', 'initialize_gateways_by_location' );
